#!/usr/bin/perl
#*******************************************************************#
#  iPKGui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       remove_archive.pl                                   #
#  Description: a perl script to remove archive                     #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2015 by QTip                                        #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.1 - 16/08/2015                                    #
#  for more information check the changelog                         #
#*******************************************************************#

use strict;
use warnings;
use lib ('/var/packages/ipkgui/target/include');

use File::Path qw(remove_tree);
use Cwd qw(realpath);
use JSON::XS;

my $pmconfigfile = "/var/packages/ipkgui/etc/pmconfig.json";

require "functions.pl";
###################################

if (-e $pmconfigfile) {
     my @pmconfig = read_config($pmconfigfile);
     my $ibarchivefile = $pmconfig[0]->{'pmconfig'}[0]->{'listpath'}."/archive";
     my $ibarchivepath = $pmconfig[0]->{'pmconfig'}[0]->{'archivepath'};
     my $ibarchiveurl = $pmconfig[0]->{'pmconfig'}[0]->{'archiveurl'};
     if ($ibarchiveurl =~ m/(.*)(webman.*)/i) {
          $ibarchiveurl =~ s/^(.*)(webman.*)/\/usr\/syno\/synoman\/$2/i;
     } else {
          $ibarchiveurl =~ s/^((https?):\/\/(www\.)?[a-z0-9\-:@]+(\.?[a-z0-9\-:@]+)+([\:0-9]+)?([\/?].*)?)/\/var\/services\/web$6/i;
     }
     $ibarchivepath = realpath($ibarchivepath);
     unlink($ibarchiveurl) if (-l $ibarchiveurl);
     unlink($ibarchivefile) if (-f $ibarchivefile);
     remove_tree($ibarchivepath) if (-d $ibarchivepath);
}
exit 0;
