#!/usr/bin/perl
#*******************************************************************#
#  iPKGui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       restore_archive.pl                                  #
#  Description: a perl script to restore archive dir                #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2015 by QTip                                        #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.1 - 16/08/2015                                    #
#  for more information check the changelog                         #
#*******************************************************************#

use strict;
use warnings;

use File::Spec;
use File::Path;
use Cwd qw(realpath);
use JSON::XS;

my $pmconfigfile = "/var/packages/ipkgui/etc/pmconfig.json";
my $pkg_tp = '/usr/syno/synoman/webman/3rdparty/ipkgui';
my $pkg_vol = realpath($pkg_tp);
my ($raw_data,$pmconfig);

###################################

if (-e $pmconfigfile) {
     if (open(PMC,"<",$pmconfigfile)) {
          $raw_data = <PMC>;
          close(PMC);
     } else {
          close(PMC);
          exit;
     }
}
if ($raw_data) {
     $pmconfig = JSON::XS->new->decode($raw_data);
     my $ibarchivepath = $pmconfig->{'pmconfig'}[0]->{'archivepath'};
     my $ibarchiveurl = $pmconfig->{'pmconfig'}[0]->{'archiveurl'};
     if ($ibarchiveurl =~ m/(.*)(webman.*)/i) {
          $ibarchiveurl =~ s/^(.*)(webman.*)/\/usr\/syno\/synoman\/$2/i;
     } else {
          $ibarchiveurl =~ s/^((https?):\/\/(www\.)?[a-z0-9\-:@]+(\.?[a-z0-9\-:@]+)+([\:0-9]+)?([\/?].*)?)/\/var\/services\/web$6/i;
     }
     $ibarchivepath = realpath($ibarchivepath);
     my $rest_url = substr($ibarchiveurl,length($pkg_tp));
     my $real_archive_url = $pkg_vol.$rest_url;
     my @pkg_path = File::Spec->splitdir($pkg_vol);
     my $sourcedir = '/'.$pkg_path[1].'/@tmp/ipkgui/archive';
     if (-d $sourcedir) {
          mkpath($ibarchivepath) if (! -e $ibarchivepath);
          `/bin/mv $sourcedir/* $ibarchivepath`;
     }
     if ($ibarchivepath ne $real_archive_url && ! -l $real_archive_url) {
          symlink($ibarchivepath,$real_archive_url);
     }
}
exit 0;
