#!/usr/bin/perl
#*******************************************************************#
#  iPKGui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       appnotify.cgi                                       #
#  Description: a perl script to update app notify (DSM5)           #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2014 by QTip                                        #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.1 - 21/02/2014                                    #
#  for more information check the changelog                         #
#*******************************************************************#

$user = `/usr/syno/synoman/webman/modules/authenticate.cgi`;
$user =~ s/^\s+|\s+$//g;
exit if ($user eq '');

use strict;
use warnings;
use CGI;
use CGI::Carp qw(fatalsToBrowser);

my (@parts,$part,$buffer,$value,$name,%param,$result);
my $appname = 'SYNO.SDS._ThirdParty.App.ipkgui';
my $appnotify_path = '/usr/syno/etc/preference';

print "Content-type: application/json; charset=UTF-8\n\n";

sub all_user {
     my $type = shift;

     my (@raw_data1,@user,%user_);
     my $usercommand = "/usr/syno/sbin/synouser --enum ".$type." | /bin/grep -v 'guest' | /bin/grep -v 'User Listed:' 2> /dev/null|";
     if (open(DAT, $usercommand)) {
          @raw_data1 = <DAT>;
          close(DAT);
     } else {
          close(DAT);
     }
     if (@raw_data1) {
          foreach my $user_entry (@raw_data1) {
               chomp($user_entry);
               push @user, $user_entry;
          }
     }
     %user_ = map{$_,1}@user;
     return (keys %user_);
}

if ($ENV{'REQUEST_METHOD'} eq "POST") {
     read(STDIN,$buffer,$ENV{"CONTENT_LENGTH"});
     @parts = split(/\&/,$buffer);
     foreach $part (@parts) {
          ($name,$value) = split(/=/,$part);
          $value =~ tr/+/ /;
          $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
          # prevent include of server side includes
          $value =~ s/<!--(.|\n)*-->//g;
          $param{$name} = $value;
     }
     if ($param{'action'} eq "update" && $param{'upgrades'} ne "") {
#          opendir(USER,$appnotify_path);
#          my @usr = readdir(USER);
#          closedir(USER);
#          my @alluser = grep(!/\.|\@administrators/,sort(@usr));
           my @alluser = all_user('local');

          my $appnotifycmd = "/usr/syno/bin/synoappnotify -c ".$appname." -u ";
          foreach my $u (@alluser) {
               $result = `$appnotifycmd $param{'upgrades'} "$u"`;
          }
     }
     if ($? == 0) {
          print '{"success":true}';
     } else {
          $result =~ s/\n//g;
          print '{"success":false,"msg":"'.$result.'"}';
     }
}
exit;