#***********************************************************************#
#  check_appprivilege.pl                                                #
#  Description: Script to query the active user permission for the      #
#               called application.                                     #
#               This will allow control of the permissions for          #
#               3rdparty apps via Control Panel - Permissions           #
#               Now with query from SynoToken (DSM 4.x/DSM 5.x)         #
#  Author:      QTip from the german Synology support forum             #
#  Copyright:   2012-2015 by QTip                                       #
#  License:     GNU GPLv3 (see LICENSE)                                 #
#  -------------------------------------------------------------------  #
#  Version:     0.76 - 26/07/2015                                       #
#  for more information check the changelog                             #
#***********************************************************************#

sub check_privilege {
     my $appname = shift;
     my $token = '';
     my $raw_data = '';
     use CGI;
     use CGI::Carp qw(fatalsToBrowser);
     use JSON::XS;
#     use Data::Dumper;

     # retrieve SynoToken...
     $token = `/usr/syno/synoman/webman/login.cgi`;
     $token =~ /\"SynoToken\"\s*?:\s*?\"(.*)\"/i;
     my $synotoken = ($1 ? $1 : '');
     $ENV{'QUERY_STRING'} = 'SynoToken='.$synotoken;
     $ENV{'X-SYNO-TOKEN'} = $synotoken;

     # and check if user logged in...
     my $synouser = `/usr/syno/synoman/webman/modules/authenticate.cgi`;
     $synouser =~ s/^\s+|\s+$//g;

     # if synouser empty (not logged in), return empty string
     return ('','',0) if ($synouser eq '');

     $raw_data = `/usr/syno/synoman/webman/initdata.cgi`;
     $raw_data = substr($raw_data,index($raw_data,"{")-1);
     my $initdata = JSON::XS->new->decode($raw_data);
     my $appprivilege = (defined $initdata->{'AppPrivilege'}->{$appname}) ? 1 : 0;
     my $is_admin = (defined $initdata->{'Session'}->{'is_admin'} && $initdata->{'Session'}->{'is_admin'} == 1) ? 1 : 0;

     # if application not found or user not admin, return empty string
     return ('','',0) unless ($appprivilege || $synouser eq "admin");
     return ($synotoken,$synouser,$is_admin);
}
1;
