#!/usr/bin/perl
#*******************************************************************#
#  iPKGui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       check_paths.cgi                                     #
#  Description: a perl script to read extended package info         #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2015 by QTip                                        #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.1 - 24/07/2015                                    #
#  for more information check the changelog                         #
#*******************************************************************#

$user = `/usr/syno/synoman/webman/modules/authenticate.cgi`;
$user =~ s/^\s+|\s+$//g;
exit if ($user eq '');

use strict;
use warnings;

use CGI;
use CGI::Carp qw(fatalsToBrowser);
use JSON::XS;

## initialize vars #################
my (@parts,$part,$buffer,$value,$name,%param,$ret);
my $pmentrys = {'ibListpath' => 'dir','ibPMRoot' => 'dir','ibPMExec' => 'file','ibFeeds' => 'filedir','ibStatusfile' => 'file','ibArchivepath' => 'dir','ibArchiveurl' => 'url'};

###################################

print "Content-type: application/json; charset=UTF-8\n\n";

if ($ENV{'REQUEST_METHOD'} eq "POST") {
     read(STDIN,$buffer,$ENV{"CONTENT_LENGTH"});
     @parts = split(/\&/,$buffer);
     foreach $part (@parts) {
          ($name,$value) = split(/=/,$part);
          $value =~ tr/+/ /;
          $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
          # prevent include of server side includes
          $value =~ s/<!--(.|\n)*-->//g;
          $param{$name} = $value;
     }
     if ($param{'action'} eq "check" && $param{'paths'} ne "") {
          my $paths = JSON::XS->new->decode($param{'paths'});
          my $result = ();
          foreach my $e (keys $paths) {
               if ($pmentrys->{$e} eq "file") {
                    $result->{$e} = (-f $paths->{$e} || -l $paths->{$e} ? 1 : 0);
               } elsif ($pmentrys->{$e} eq "dir") {
                    $result->{$e} = (-d $paths->{$e} ? 1 : 0);
               } elsif ($pmentrys->{$e} eq "link") {
                    $result->{$e} = (-l $paths->{$e} ? 1 : 0);
               } elsif ($pmentrys->{$e} eq "filedir") {
                    $result->{$e} = (-d $paths->{$e} || -f $paths->{$e} || -l $paths->{$e} ? 1 : 0);
               } elsif ($pmentrys->{$e} eq "url") {
                    $result->{$e} = ($paths->{$e} =~ m/((https?):\/\/(www\.)?[a-z0-9\-]+(\.?[a-z0-9\-]+)+([\:0-9]+)?([\/?].*)?)/i ? 1 : 0);
               }
          }
          $result->{'success'} = do {bless \(my $dummy = 1), "JSON::XS::Boolean"};
          $ret = JSON::XS->new->encode($result);
          print $ret;
     }
}
