#!/usr/bin/perl
#*******************************************************************#
#  iPKGui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       configfiles.cgi                                     #
#  Description: a perl script to read config files                  #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2012-2015 by QTip                                   #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.1 - 08/08/2015                                    #
#  for more information check the changelog                         #
#*******************************************************************#

$user = `/usr/syno/synoman/webman/modules/authenticate.cgi`;
$user =~ s/^\s+|\s+$//g;
exit if ($user eq '');

use strict;
use warnings;
use lib ('/var/packages/ipkgui/target/include','/var/packages/ipkgui/target/lib');

use CGI;
use CGI::Carp qw(fatalsToBrowser);
use File::Spec;
use Fcntl qw(:flock);
use JSON::XS;
use Data::Dumper;

## initialize vars #################
my (@parts,$part,$buffer,$value,$name,%param,@raw_data1,$cdata);
my $packagename = "ipkgui";
my $packagehome = "/var/packages/ipkgui";
my $configpath = $packagehome."/etc/";
my $pmconfigfile = $configpath."pmconfig.json";
my $pmtemplatefile = "$packagehome/target/extras/pmtemplates.json";

require "functions.pl";

###################################

print "Content-type: application/json; charset=UTF-8\n\n";

if ($ENV{'REQUEST_METHOD'} eq "POST") {
     read(STDIN,$buffer,$ENV{"CONTENT_LENGTH"});
     @parts = split(/\&/,$buffer);
     foreach $part (@parts) {
          ($name,$value) = split(/=/,$part);
          $value =~ tr/+/ /;
          $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
          # prevent include of server side includes
          $value =~ s/<!--(.|\n)*-->//g;
          $param{$name} = $value;
     }
     my $pmconfig = detect_pkm($pmconfigfile,$pmtemplatefile);
     if (scalar(keys(%{$pmconfig})) == 0 && $param{'packtype'} ne "smallfixes") {
          print '({"success":false,"msg":"StatusNoIPKGText"})';
          exit;
     }
     my $ibstatusfile = $pmconfig->{'statusfile'};
     my ($fname,$ibinfopath) = fileparse($ibstatusfile);
     my $ibcfile = $ibinfopath."/info/".$param{'pakage'}.".conffiles";
     if ($param{'action'} eq "list" && $param{'pakage'} ne "") {
          if (-d $ibinfopath."/info" && -f $ibcfile) {
               if (open(DAT, "<", $ibcfile)) {
                    @raw_data1 = <DAT>;
                    close(DAT);
               } else {
                    close(DAT);
               }
               if (@raw_data1) {
                    foreach my $entry (@raw_data1) {
                         chomp($entry);
                         if ($entry ne "\x0A" && $entry ne "") {
                              $cdata .= '["'.trim($entry).'"],';
                         }
                    }
                    $cdata = substr($cdata,0,-1);
               }
               print '{"data":['.$cdata.']}';
          } else {
               print '{"data":[]}';
          }
     } elsif ($param{'action'} eq "read" && $param{'pakage'} ne "") {
          my @cfpath = File::Spec->splitdir($param{'pakage'});
          if ($pmconfig->{'pmroot'} ne "/".$cfpath[1] && $pmconfig->{'pmroot'} ne "/") {
               $param{'pakage'} = $pmconfig->{'pmroot'}.$param{'pakage'};
          }
          if (-d $ibinfopath."/info" && -f $param{'pakage'}) {
               print `/bin/cat $param{'pakage'}`;
          } elsif (! -f $param{'pakage'}) {
               print '{"msg":"File not found!"}';
          } elsif (-s $param{'pakage'} <= 1) {
               print '{"msg":"File is empty!"}';
          }
     } elsif ($param{'action'} eq "write" && $param{'file'} ne "" && $param{'value'} ne "") {
          my @cfpath = File::Spec->splitdir($param{'file'});
          if ($pmconfig->{'pmroot'} ne "/".$cfpath[1] && $pmconfig->{'pmroot'} ne "/") {
               $param{'file'} = $pmconfig->{'pmroot'}.$param{'file'};
          }
          if (open(CFILE,">",$param{'file'})) {
               flock(CFILE, LOCK_EX);
               print CFILE $param{'value'};
               close (CFILE);
               print '{"success":true}';
          } else {
               close (CFILE);
               print '{"success":false}';
          }
     }
}
exit;