#!/usr/bin/perl
#*******************************************************************#
#  iPKGui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       feeds.cgi                                           #
#  Description: a perl script to read/write feed files from a       #
#               ajax call                                           #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2013-2015 by QTip                                   #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.35 - 21/07/2015                                   #
#  for more information check the changelog                         #
#*******************************************************************#

$user = `/usr/syno/synoman/webman/modules/authenticate.cgi`;
$user =~ s/^\s+|\s+$//g;
exit if ($user eq '');

use strict;
use warnings;
use lib ('/var/packages/ipkgui/target/include','/var/packages/ipkgui/target/lib');

use CGI;
use CGI::Carp qw(fatalsToBrowser);
use JSON::XS;
#use Data::Dumper;

## initialize vars #################
my (@parts,$part,$buffer,$value,$name,%param,$json);
my (%match,@feeds,@json_data,$feedurl,%feedrest,%feedmatch,$feedactive,$feedline,@feed_data,%newfeed,@unique_files,$list,%seen,@conffiles);
my $packagename = "ipkgui";
my $configpath = "/var/packages/ipkgui/etc/";
my $pmconfigfile = $configpath."pmconfig.json";
my $pmtemplatefile = "/var/packages/ipkgui/target/extras/pmtemplates.json";
my $ibconfigfile = $configpath."options.json";

require "functions.pl";

###################################

print "Content-type: application/json; charset=UTF-8\n\n";

if ($ENV{'REQUEST_METHOD'} eq "POST") {
     read(STDIN,$buffer,$ENV{"CONTENT_LENGTH"});
     @parts = split(/\&/,$buffer);
     foreach $part (@parts) {
          ($name,$value) = split(/=/,$part);
          $value =~ tr/+/ /;
          $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
          # prevent include of server side includes
          $value =~ s/<!--(.|\n)*-->//g;
          $param{$name} = $value;
     }
     my $pmconfig = detect_pkm($pmconfigfile,$pmtemplatefile);
     @feeds = get_feeds($pmconfig->{'feeds'});
     if ($param{'action'} eq "read") {
          $json = JSON::XS->new->utf8->encode(\@feeds);
          print $json;
     } elsif ($param{'action'} eq "write" && $param{'value'} ne "") {
          @json_data = @{JSON::XS->new->utf8->decode($param{'value'})};
          # generate unique array of feed files
          # only need to clean unused files if feed files in a subdir
          if (-d $pmconfig->{'feeds'}) {
               %seen = ();
               foreach $json (@json_data) {
                    if (defined $json && defined $json->{'feedfile'}) {
                         push(@unique_files, $json->{'feedfile'}) unless $seen{$json->{'feedfile'}}++;
                    }
               }
               # search for not needed files and delete them
               my %unique_files = map{$_=>1} @unique_files;
               my @diff = grep(!defined $unique_files{$_->{'feedfile'}}, @feeds);
               foreach my $del (@diff) {
                    if (-e $pmconfig->{'feeds'}.'/'.$del->{'feedfile'}) {
                         unlink ($pmconfig->{'feeds'}.'/'.$del->{'feedfile'});
                    }
               }
          }
          # build new package source lines
          foreach $json (@json_data) {
               $feedactive = "";
               $feedactive = "# " unless $json->{'feedactive'};
               $newfeed{$json->{'feedfile'}} .= $feedactive.$json->{'feedtype'}." ".$json->{'feedname'}." ".$json->{'feedurl'}."\n";
          }
#print Dumper(\%newfeed);
#exit;
          # append feed options and save feed file
          if (-d $pmconfig->{'feeds'}) {
               foreach $json (@json_data) {
                    $newfeed{$json->{'feedfile'}} .= join("\n",@{$json->{'feedopts'}})."\n";
                    if (open(FEEDOUT,">".$pmconfig->{'feeds'}."/".$json->{'feedfile'})) {
                         print FEEDOUT $newfeed{$json->{'feedfile'}};
                         close (FEEDOUT);
                    } else {
                         close (FEEDOUT);
                    }
               }
          } else {
#print Dumper($json_data[0]);
#exit;
               $newfeed{$json_data[0]->{'feedfile'}} .= join("\n",@{$json_data[0]->{'feedopts'}})."\n";
#print Dumper(\%newfeed);
#exit;
               if (open(FEEDOUT,">".$pmconfig->{'feeds'})) {
                    print FEEDOUT $newfeed{$json_data[0]->{'feedfile'}};
                    close (FEEDOUT);
               } else {
                    close (FEEDOUT);
               }
          }
#print Dumper(\%newfeed);
#exit;
          if ($? == 0) {
               print '{"success":true}';
          } else {
               print '({"success":false,"msg":"StatusWriteFeedFailedText"})';
          }
     }
}
#print Dumper(\%newfeed);
#exit;
exit;
