#!/usr/bin/perl
#*******************************************************************#
#  iPKGui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       filter.cgi                                          #
#  Description: a perl script to read, merge and write filter data  #
#               from a ajax call                                    #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2012-2015 by QTip                                   #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.31 - 13/07/2015                                    #
#  for more information check the changelog                         #
#*******************************************************************#

$user = `/usr/syno/synoman/webman/modules/authenticate.cgi`;
$user =~ s/^\s+|\s+$//g;
exit if ($user eq '');

use strict;
use warnings;
use lib ('/var/packages/ipkgui/target/include','/var/packages/ipkgui/target/lib');

use CGI;
use CGI::Carp qw(fatalsToBrowser);
use JSON::XS;

## initialize vars #################
our($user);
my $filterpath = "/var/packages/ipkgui/etc/";
my $preferencepath = "/usr/syno/etc/preference";
my @filterfiles = qw(status sections smallfixes ipkgui_custom);
my ($raw_data,@json_data,@json_data_new,$json,$filter_file,$files);
my (@parts,$part,$buffer,$value,$name,%param);

###################################

print "Content-type: application/json; charset=UTF-8\n\n";

if ($ENV{'REQUEST_METHOD'} eq "POST") {
     read(STDIN,$buffer,$ENV{"CONTENT_LENGTH"});
     @parts = split(/\&/,$buffer);
     foreach $part (@parts) {
          ($name,$value) = split(/=/,$part);
          $value =~ tr/+/ /;
          $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
          # prevent include of server side includes
          $value =~ s/<!--(.|\n)*-->//g;
          $param{$name} = $value;
     }
     if ($param{'action'} eq "read") {
          foreach $files (@filterfiles) {
               if ($files eq "ipkgui_custom") {
                    $filter_file = $preferencepath."/".$user."/".$files.".json";
               } else {
                    $filter_file = $filterpath.$files.".json";
               }
               if (-e $filter_file) {
                    if (open(DAT,"<".$filter_file)) {
                         $raw_data = <DAT>;
                         close(DAT);
                         @json_data = @{JSON::XS->new->utf8->decode($raw_data)};
                         if (@json_data) {
                              push @json_data_new,@json_data;
                         }
                    } else {
                         close(DAT);
                         print '({"success":false,"msg":"StatusOpenFilterFailedText"})';
                         exit;
                    }
               }
          }
          $json = JSON::XS->new->utf8->encode(\@json_data_new);
          print '{"data":'.$json.'}';
     } elsif ($param{'action'} eq "write" && $param{'file'} ne "" && $param{'value'} ne "") {
          open(DATA,">".$filterpath.$param{'file'});
          print DATA $param{'value'};
          close (DATA);
          if ($? == 0) {
               print '{"success":true}';
          } else {
               print '({"success":false,"msg":"StatusWriteFilterFailedText"})';
          }
     }
}
