#!/usr/bin/perl
#*******************************************************************#
#  iPKGui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       getstatus.cgi                                       #
#  Description: a perl script to get the status of the current      #
#               ipkg progress index                                 #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2012-2014 by QTip                                   #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.1 - 29/03/2013                                    #
#  for more information check the changelog                         #
#*******************************************************************#

use strict;
use warnings;
use lib ('/var/packages/ipkgui/target/include','/var/packages/ipkgui/target/lib');

use CGI;
use CGI::Carp qw(fatalsToBrowser);

## initialize vars #################
my (@parts,$part,$buffer,$value,$name,%param,$output);
my $ibtemp = "/var/packages/ipkgui/target/tmp";

###################################

print "Content-type: application/json; charset=UTF-8\n\n";

if ($ENV{'REQUEST_METHOD'} eq "POST") {
     read(STDIN,$buffer,$ENV{"CONTENT_LENGTH"});
     @parts = split(/\&/,$buffer);
     foreach $part (@parts) {
          ($name,$value) = split(/=/,$part);
          $value =~ tr/+/ /;
          $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
          # prevent include of server side includes
          $value =~ s/<!--(.|\n)*-->//g;
          $param{$name} = $value;
     }
     if ($param{'action'} eq "get" && $param{'tid'} ne "") {
          if (-e $ibtemp."/".$param{'tid'}) {
               if (open(DAT,"<".$ibtemp."/".$param{'tid'})) {
                    $output = <DAT>;
                    close (DAT);
               } else {
                    close(DAT);
               }
          }
     } else {
          $? = 1;
     }
     if ($? == 0) {
          print $output;
     } else {
          print '{"success":false}';
     }
     exit;
}

