#!/usr/bin/perl
#*******************************************************************#
#  iPKGui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       logfile.cgi                                         #
#  Description: a perl script to read the logfile from a ajax call  #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2012-2014 by QTip                                   #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.1 - 23/05/2013                                    #
#  for more information check the changelog                         #
#*******************************************************************#

$user = `/usr/syno/synoman/webman/modules/authenticate.cgi`;
$user =~ s/^\s+|\s+$//g;
exit if ($user eq '');

use strict;
use warnings;
use lib ('/var/packages/ipkgui/target/include','/var/packages/ipkgui/target/lib');

use CGI;
use CGI::Carp qw(fatalsToBrowser);

## initialize vars #################
my (@parts,$part,$buffer,$value,$name,%param,$raw_data);
my $packagename = "ipkgui";
my $logfilepath = "/var/packages/".$packagename."/target/log/".$packagename.".log";
my $sflogfilepath = "/var/log/dpkg.log";

###################################

print "Content-type: application/json; charset=UTF-8\n\n";

if ($ENV{'REQUEST_METHOD'} eq "POST") {
     read(STDIN,$buffer,$ENV{"CONTENT_LENGTH"});
     @parts = split(/\&/,$buffer);
     foreach $part (@parts) {
          ($name,$value) = split(/=/,$part);
     	$value =~ tr/+/ /;
     	$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
          # prevent include of server side includes
     	$value =~ s/<!--(.|\n)*-->//g;
          $param{$name} = $value;

          if ($param{'action'} eq "read") {
               my $search = "";
               my $error = "";
               if ($param{'search'} ne "") {
                    $search = " | /bin/grep -A2 -B2 -E '".$param{'search'}."'";
                    $error = "search pattern $param{'search'} not found";
               }
               my $lfile = ($param{'packtype'} eq "smallfixes") ? $sflogfilepath : $logfilepath;

               my $logdata = `/bin/cat $lfile | /bin/grep -v grep $search >&1`;
               my @log = split(/\x0A/,$logdata);
               if ($? == 0) {
                    if ($param{'dir'} eq "asc") {
                         print join("\x0A",@log);
                         last;
                    } elsif ($param{'dir'} eq "desc") {
                         print join("\x0A",reverse(@log));
                         last;
                    }
               } else {
                    print $error;
                    last;
               }
          }
     }
}
exit;
