#!/usr/bin/perl
#*******************************************************************#
#  ipkgui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       package_update.pl                                   #
#  Description: a perl script to get list of ipkg/opkg              #
#               package updates                                     #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2012-2015 by QTip                                   #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.31 - 13/07/2015                                   #
#  for more information check the changelog                         #
#*******************************************************************#

sub get_package_updates {
     my ($pmstatcmd,$pminfocmd,$packagehome,$iblistpath) = @_;

     my ($pack_data,$oldpack_data,$npack,$sect_data,$s,$pk,$ip,@newpackages,@upgradepackages);
     my @packupdate = ();
     my @sections = ();
     my @sects = ();
     my @oldpackages = ();

     # read old package list
     if (-e $packagehome."/etc/packages_ref.json") {
          if (open(DAT,"<".$packagehome."/etc/packages_ref.json")) {
               $oldpack_data = <DAT>;
               @oldpackages = @{JSON::XS->new->utf8->decode($oldpack_data)};
               close (DAT);
          } else {
               close(DAT);
          }
     }
     @packupdate = get_packages($pmstatcmd,$pminfocmd,$iblistpath);
     $ip = 0;
     foreach $pk (@packupdate) {
          if ($packupdate[$ip]{'status'} eq "installed_upgradeable") {
               if (!grep /^\Q$packupdate[$ip]{'package'}\E$/, @upgradepackages) {
                    push @upgradepackages, $packupdate[$ip]{'package'};
               }
          }
          # check for new packages
          if (@oldpackages) {
               my $j = 0;
               my $found = 0;
               foreach my $npack (@oldpackages) {
                    if (exists($oldpackages[$j]) && $packupdate[$ip]{'package'} eq $oldpackages[$j]->{'package'}) {
                         $found = 1;
                         last;
                    }
                    $j++;
               }
               if (!$found) {
                    $packupdate[$ip]{'status'} = "new";
                    if (!grep /^\Q$packupdate[$ip]{'package'}\E$/, @newpackages) {
                        push @newpackages, $packupdate[$ip]{'package'};
                    }
               }
          }
          # generate array of sections and group identical entrys
          $packupdate[$ip]{'section'} = lc($packupdate[$ip]{'section'});
          $packupdate[$ip]{'section'} =~ s/(-|\/)/_/g;
          my $search_package = substr($packupdate[$ip]{'section'},0,5);
          my $found_section = 0;
          for (0..$#sections) {
               if ($sections[$_] =~ /^$search_package/) {
                    $packupdate[$ip]{'section'} = $sections[$_];
                    $found_section = 1;
                    last;
               }
          }
          if (!$found_section) {
               push @sections, $packupdate[$ip]{'section'};
          }
          $ip++;
     }
     # create hash list of sections
     $s = 1;
     $sects[0]{'cat'} = "section";
     $sects[0]{'name'} = "all";
     $sects[0]{'desc'} = "";
     $sects[0]{'filter'} = "all";
     @sections = sort{"\U$a" cmp "\U$b"} @sections;
     foreach my $sect (@sections) {
          $sect =~ s/(-|\/)/_/g;
          $sects[$s]{'cat'} = "section";
          $sects[$s]{'name'} = $sect;
          $sects[$s]{'desc'} = "";
          $sects[$s]{'filter'} = $sect;
          $s++;
     }
     $sect_data = JSON::XS->new->utf8->encode(\@sects);
     if (open(DAT,">".$packagehome."/etc/sections.json")) {
          print DAT $sect_data;
          close (DAT);
     } else {
          close(DAT);
     }
     if (scalar(@newpackages)) {
          if (open(DAT,">".$packagehome."/etc/new.dat")) {
               print DAT join("\n",@newpackages);
               close (DAT);
          } else {
               close(DAT);
          }
     }
     if (scalar(@upgradepackages)) {
          if (open(DAT,">".$packagehome."/etc/upgrades.dat")) {
               print DAT join("\n",@upgradepackages);
               close (DAT);
          } else {
               close(DAT);
          }
     } else {
          if (-e $packagehome."/etc/upgrades.dat") {
               unlink ($packagehome."/etc/upgrades.dat");
          }
     }
     $pack_data = JSON::XS->new->utf8->encode(\@packupdate);
     if (open(DAT,">".$packagehome."/etc/packages_ref.json")) {
          print DAT $pack_data;
          close (DAT);
     } else {
          close(DAT);
     }
     return @packupdate;
}
1;