#!/usr/bin/perl
#*******************************************************************#
#  iPKGui - 3rdparty ipkg/opkg browser/webUI                        #
#  Modul:       properties.cgi                                      #
#  Description: a perl script to read extended package info         #
#  Author:      QTip from the german Synology support forum         #
#  Copyright:   2012-2015 by QTip                                   #
#  License:     GNU GPLv3 (see LICENSE)                             #
#  ---------------------------------------------------------------  #
#  Version:     0.55 - 21/07/2015                                    #
#  for more information check the changelog                         #
#*******************************************************************#

$user = `/usr/syno/synoman/webman/modules/authenticate.cgi`;
$user =~ s/^\s+|\s+$//g;
exit if ($user eq '');

use strict;
use warnings;
use lib ('/var/packages/ipkgui/target/include','/var/packages/ipkgui/target/lib');

use CGI;
use CGI::Carp qw(fatalsToBrowser);
use JSON::XS;
#use Data::Dumper;

## initialize vars #################
my @prop = ();
my (@parts,$part,$buffer,$value,$name,%param,@raw_data1,@raw_data2,$json,$v,$p,@files_temp);
my (%match,@feeds,$propcommand,$filescommand,$feedname,$feedurl);
my $packagename = "ipkgui";
my $packagehome = "/var/packages/ipkgui";
my $configpath = $packagehome."/etc/";
my $pmconfigfile = $configpath."pmconfig.json";
my $pmtemplatefile = "$packagehome/target/extras/pmtemplates.json";

require "functions.pl";

###################################

print "Content-type: application/json; charset=UTF-8\n\n";

if ($ENV{'REQUEST_METHOD'} eq "POST") {
     read(STDIN,$buffer,$ENV{"CONTENT_LENGTH"});
     @parts = split(/\&/,$buffer);
     foreach $part (@parts) {
          ($name,$value) = split(/=/,$part);
          $value =~ tr/+/ /;
          $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
          # prevent include of server side includes
          $value =~ s/<!--(.|\n)*-->//g;
          $param{$name} = $value;
     }
     my $pmconfig = detect_pkm($pmconfigfile,$pmtemplatefile);
     if (scalar(keys(%{$pmconfig})) == 0 && $param{'packtype'} ne "smallfixes") {
          print '({"success":false,"msg":"StatusNoIPKGText"})';
          exit;
     }
     if ($param{'action'} eq "read" && $param{'pakage'} ne "") {
          if ($param{'packtype'} eq "smallfixes") {
               $propcommand = "dpkg --status $param{'pakage'} 2> /dev/null|";
               if (open(DAT, $propcommand)) {
                    @raw_data1 = <DAT>;
                    close(DAT);
               } else {
                    close(DAT);
               }
               if (@raw_data1) {
                    foreach my $prop_entry (@raw_data1) {
                         chomp($prop_entry);
                         if ($prop_entry ne "\x0A" && $prop_entry ne "") {
                              ($p,$v) = split(/: /,$prop_entry, 2);
                              $prop[0]{lc $p} = trim($v);
                         }
                    }
                    $prop[0]{'source'} = '';
                    $prop[0]{'filename'} = '';
               } else {
                    print '{"info":"","success":false}';
                    exit;
               }
          } else {
               @feeds = {'feedname' => 'archive','feedactive' => 1,'feedfile' => '','feedtype' => 'src','feedurl' => 'archive'} if ($param{'archive'} eq "1");
               push @feeds, get_feeds($pmconfig->{'feeds'});
               push @feeds,{'feedname' => 'archive','feedactive' => 1,'feedfile' => '','feedtype' => 'src','feedurl' => 'archive'} if ($param{'archive'} eq "0");
#print Dumper(@feeds);
               ($feedname,$feedurl,@prop) = get_feed_by_package($pmconfig->{'listpath'},$param{'pakage'},$param{'version'},@feeds);
#print $feedname,$feedurl;
#exit;
               $prop[0]{'filename'} = $feedurl.'/'.$prop[0]{'filename'};
          }
          # delete not needed fields
          delete $prop[0]{'depends'};
          delete $prop[0]{'suggests'};
          delete $prop[0]{'conflicts'};
          delete $prop[0]{'size'};
          delete $prop[0]{'architecture'};
          delete $prop[0]{'status'};
          delete $prop[0]{'version'};
          delete $prop[0]{'section'};
          delete $prop[0]{'description'};
          delete $prop[0]{'package'};

          if ($param{'packtype'} eq "smallfixes") {
               $filescommand = "dpkg --listfiles $param{'pakage'} 2> /dev/null|";
          } else {
               $filescommand = "$pmconfig->{'pmexec'} files $param{'pakage'} | /bin/grep -vi 'successfully' | /bin/grep -vi 'following files' 2> /dev/null|";
          }
          if (open(DAT, $filescommand)) {
               @raw_data2 = <DAT>;
               close(DAT);
          } else {
               close(DAT);
          }
          $prop[0]{'files'} = '-';
          if (@raw_data2 && $raw_data2[0] !~ /Collected errors:/) {
               foreach my $prop_files (@raw_data2) {
                    chomp($prop_files);
                    if ($prop_files ne "\x0A" && $prop_files ne "/." && $prop_files ne "") {
                         push @files_temp, trim($prop_files);
                    }
               }
               $prop[0]{'files'} =~ s/\/\.//;
               $prop[0]{'files'} = join("<br>",sort(@files_temp)) if (scalar(@files_temp));
          } else {
               $prop[0]{'files'} = '';
          }
          $json = JSON::XS->new->utf8->encode(\@prop);
          print '{"info":'.$json.'}';
     }
}
